WordPress WP Forum Server Plugin SQL befecskendezéses sérülékenységei

CH azonosító

CH-4377

Angol cím

WordPress WP Forum Server Plugin "id" and "search_max" SQL Injection Vulnerabilities

Felfedezés dátuma

2011.02.14.

Súlyosság

Közepes

Érintett rendszerek

WP Forum Server plugin
WordPress

Érintett verziók

WordPress WP Forum Server Plugin 1.x

Összefoglaló

A WordPress WP Forum Server plugin két sérülékenységét jelentették, amelyet kihasználva rosszindulatú felhasználók és a támadók SQL befecskendezéses (SQL injection) támadást hajthatnak végre.

Leírás

  1. Az index.php-ban lévő “id” paraméternek átadott bemeneti adatok nem megfelelően vannak megtisztítva (ha a “vasthtmlaction” “editpost” értékre van állítva, és a “page_id” be van állítva) a wp-content/plugins/forum-server/wpf-post.php-ban, mielőtt SQL lekérdezésben felhasználásra kerülne. Ezt kihasználva, tetszőleges SQL kódot lehet befecskendezni.
  2. Az index.php-ban lévő “search_max” paraméternek átadott bemeneti adatok nem megfelelően vannak megtisztítva (ha a “vasthtmlaction” “search” értékre van állítva, valamint a “page_id” és “t” be van állítva) a wp-content/plugins/forum-server/wpf.class.php-ban, mielőtt SQL lekérdezésben felhasználásra kerülne. Ezt kihasználva, tetszőleges SQL kódot lehet befecskendezni.

A sérülékenységeket az 1.6.1 verzióban jelentették. Más kiadások is érintve lehetnek.

Megoldás

Javítsa a forráskódot a bemenet megfelelő ellenőrzése érdekében